<?php
$this->PageTitle = 'Versões &raquo; Visualizar &raquo; Visualizar ' . GxHtml::encode(GxHtml::valueEx($model));

$this->widget('zii.widgets.CDetailView', array(
    'data' => $model,
    'attributes' => array(
        'VER_IDVERSAO',
        'VER_DESCRICAO',
        'VER_DTLIBERACAO',
        'VER_HORALIBERACAO',
        'VER_DTPREVISAO',
        array(
            'name' => 'VER_IDPROJETO',
            'value' => getProjeto($model->VER_IDVERSAO),
        ),
        array(
            'name' => 'VER_SITUACAO',
            'value' => $model->getSituacao(),
        ),
    ),
));

function getProjeto($VER_IDVERSAO) {
    $VersoesProjeto = VersoesProjetos::model()->findAll("VRP_IDVERSAO = " . $VER_IDVERSAO);
    $Projeto = array();
    foreach ($VersoesProjeto as $VersoesProjeto) {
        $Projeto[] = $VersoesProjeto->Projeto;
    }
    if (is_array($Projeto)) {
        return implode(', ', $Projeto);
    }
}
echo CHtml::link('<i class="fa fa-pencil"></i>Editar', $this->createAbsoluteUrl('versoes/update',array('id'=>$model->VER_IDVERSAO)), array('class' => 'btn-edit'));
?>
<style type="text/css">
    .btn-edit {
        background: rgba(57, 115, 173, 0.71);
        padding: 10px 20px ;
        display: block;
        float: left;
        width: 50px;
        margin-top: 20px;
        margin-left:  180px;
        color: white;
        border-radius: 5px;
        text-align: center;
    }
    .btn-edit i {
        margin-right: 5px;
    }
    .btn-edit:hover,
    .btn-edit:focus {
        background: rgba(57, 115, 173, 1);
        color: white;
    }
</style>